---
title: llarp::dht::XorMetric

---

# llarp::dht::XorMetric





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[XorMetric](Classes/structllarp_1_1dht_1_1XorMetric.md#function-xormetric)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & ourKey) |
| bool | **[operator()](Classes/structllarp_1_1dht_1_1XorMetric.md#function-operator())**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & left, const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & right) const |
| bool | **[operator()](Classes/structllarp_1_1dht_1_1XorMetric.md#function-operator())**(const [RouterContact](Classes/structllarp_1_1RouterContact.md) & left, const [RouterContact](Classes/structllarp_1_1RouterContact.md) & right) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[us](Classes/structllarp_1_1dht_1_1XorMetric.md#variable-us)**  |

## Public Functions Documentation

### function XorMetric

```cpp
inline XorMetric(
    const Key_t & ourKey
)
```


### function operator()

```cpp
inline bool operator()(
    const Key_t & left,
    const Key_t & right
) const
```


### function operator()

```cpp
inline bool operator()(
    const RouterContact & left,
    const RouterContact & right
) const
```


## Public Attributes Documentation

### variable us

```cpp
const Key_t us;
```


-------------------------------

Updated on 2023-06-06 at 21:47:58 +0000